
// Persistence of Vision Ray Tracer Include File
// File: sule.pov
// Vers: 3.02
// Desc: Basic Scene Example
// Date: 10.01.98
// Auth: Frank Rennemann
//

#version 3

#include "colors.inc"
#include "marbteal.map"

#declare stele =
union {
difference {
cylinder {< 0, 0, 0.0>< 0, 50, 0.0> 5 texture { pigment { color White } } }
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } }
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  11.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  22.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  33.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  45.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  56.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  67.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  78.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate  90.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 101.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 112.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 123.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 135.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 146.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 157.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 168.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate 180.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -11.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -22.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -33.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -45.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -56.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -67.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -78.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -90.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -101.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -112.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -123.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -135.00*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -146.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -157.50*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4 texture { pigment { color White } } rotate -168.75*y}
} //end difference
torus { 5.0, 0.5 texture { pigment { color White } } translate 2.5*y}
cylinder {< 0.0, 0.0, 0.0>< 0, 1.5, 0.0> 5.5 texture { pigment { color White } } }
} //end union



#declare stele1 =
cylinder {< 0, 0, 0.0>< 0, 50, 0.0> 5 texture { pigment { color White } } }


#declare stele2 =
union {
difference {
cylinder {< 0, 0, 0.0>< 0, 50, 0.0> 5  }
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  }
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 11.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 22.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 33.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 45.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 56.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 67.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 78.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 90.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 101.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 112.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 123.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 135.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 146.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 157.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 168.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate 180.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -11.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -22.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -33.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -45.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -56.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -67.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -78.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -90.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -101.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -112.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -123.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -135.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -146.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -157.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 49.5, 5.0> 0.4  rotate -168.75*y}
} //end difference
torus { 5.0, 0.5 translate 2.5*y}
cylinder {< 0.0, 0.0, 0.0>< 0, 1.5, 0.0> 5.5 }
texture{ pigment { agate color_map { M_MarbTeal } scale 0.25 } finish { specular 0.35 roughness 0.015 } }
//texture { pigment { color White } }
} //end union

#declare stelekurz =
union {
difference {
cylinder {< 0, 0, 0.0>< 0, 20, 0.0> 5  }
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  }
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 11.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 22.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 33.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 45.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 56.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 67.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 78.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 90.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 101.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 112.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 123.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 135.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 146.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 157.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 168.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate 180.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -11.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -22.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -33.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -45.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -56.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -67.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -78.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -90.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -101.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -112.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -123.75*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -135.0*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -146.25*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -157.5*y}
cylinder {< 0, 3.5, 5.0>< 0, 19.5, 5.0> 0.4  rotate -168.75*y}
} //end difference
torus { 5.0, 0.5 translate 2.5*y}
cylinder {< 0.0, 0.0, 0.0>< 0, 1.5, 0.0> 5.5 }
texture{ pigment { agate color_map { M_MarbTeal } scale 0.25 } finish { specular 0.35 roughness 0.015 } }
//texture { pigment { color White } }
} //end union

//eof
